com.genesyslab.wfm7.API.service.config761

## Class CfgReportHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgReportHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgReportHolder contains the response to the request to load the `CfgReport` information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CfgReport[]` | `objectArray` An array of `CfgReport`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `private int` | `objectArrayNSizeIs` Number of elements in objectArray array
    `private int[]` | `objectIDArray` An array of Report IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `private int` | `objectIDArrayNSizeIs` Number of elements in objectIDArray array
    `private CfgReport[]` | `objectShortArray` An array of `CfgReport`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `private int` | `objectShortArrayNSizeIs` Number of elements in objectShortArray array
    `private CfgReportTaskShort[]` | `reportTaskInfo` An array of corresponding `CfgReportTaskShort` information
    `private int` | `reportTaskInfoNSizeIs` Number of elements in reportTaskInfo array
    `private long` | `timestamp` A timestamp value -- marks the point in time when response information was returned
    `private CfgUserShort[]` | `userInfo` An array of corresponding `CfgUserShort` information
    `private int` | `userInfoNSizeIs` Number of elements in userInfo array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportHolder()`
    `CfgReportHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgReport[] objectArray, int objectShortArrayNSizeIs, CfgReport[] objectShortArray, int reportTaskInfoNSizeIs, CfgReportTaskShort[] reportTaskInfo, int userInfoNSizeIs, CfgUserShort[] userInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CfgReport[]` | `getObjectArray()` Gets the objectArray value for this CfgReportHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgReportHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgReportHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgReportHolder.
    `CfgReport[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgReportHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgReportHolder.
    `CfgReportTaskShort[]` | `getReportTaskInfo()` Gets the reportTaskInfo value for this CfgReportHolder.
    `int` | `getReportTaskInfoNSizeIs()` Gets the reportTaskInfoNSizeIs value for this CfgReportHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgReportHolder.
    `CfgUserShort[]` | `getUserInfo()` Gets the userInfo value for this CfgReportHolder.
    `int` | `getUserInfoNSizeIs()` Gets the userInfoNSizeIs value for this CfgReportHolder.
    `void` | `setObjectArray(CfgReport[] objectArray)` Sets the objectArray value for this CfgReportHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgReportHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgReportHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgReportHolder.
    `void` | `setObjectShortArray(CfgReport[] objectShortArray)` Sets the objectShortArray value for this CfgReportHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgReportHolder.
    `void` | `setReportTaskInfo(CfgReportTaskShort[] reportTaskInfo)` Sets the reportTaskInfo value for this CfgReportHolder.
    `void` | `setReportTaskInfoNSizeIs(int reportTaskInfoNSizeIs)` Sets the reportTaskInfoNSizeIs value for this CfgReportHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgReportHolder.
    `void` | `setUserInfo(CfgUserShort[] userInfo)` Sets the userInfo value for this CfgReportHolder.
    `void` | `setUserInfoNSizeIs(int userInfoNSizeIs)` Sets the userInfoNSizeIs value for this CfgReportHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

      Number of elements in objectIDArray array

    - #### objectIDArray

          private int[] objectIDArray

      An array of Report IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

      Number of elements in objectArray array

    - #### objectArray

          private CfgReport[] objectArray

      An array of `CfgReport`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

      Number of elements in objectShortArray array

    - #### objectShortArray

          private CfgReport[] objectShortArray

      An array of `CfgReport`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### reportTaskInfoNSizeIs

          private int reportTaskInfoNSizeIs

      Number of elements in reportTaskInfo array

    - #### reportTaskInfo

          private CfgReportTaskShort[] reportTaskInfo

      An array of corresponding `CfgReportTaskShort` information

    - #### userInfoNSizeIs

          private int userInfoNSizeIs

      Number of elements in userInfo array

    - #### userInfo

          private CfgUserShort[] userInfo

      An array of corresponding `CfgUserShort` information

    - #### timestamp

          private long timestamp

      A timestamp value -- marks the point in time when response information was returned

  - ### Constructor Detail

    - #### CfgReportHolder

          public CfgReportHolder()

    - #### CfgReportHolder

          public CfgReportHolder(int objectIDArrayNSizeIs,
                         int[] objectIDArray,
                         int objectArrayNSizeIs,
                         CfgReport[] objectArray,
                         int objectShortArrayNSizeIs,
                         CfgReport[] objectShortArray,
                         int reportTaskInfoNSizeIs,
                         CfgReportTaskShort[] reportTaskInfo,
                         int userInfoNSizeIs,
                         CfgUserShort[] userInfo,
                         long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgReportHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgReportHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgReportHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgReportHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgReportHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgReportHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgReport[] getObjectArray()

      Gets the objectArray value for this CfgReportHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgReport[] objectArray)

      Sets the objectArray value for this CfgReportHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgReportHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgReportHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgReport[] getObjectShortArray()

      Gets the objectShortArray value for this CfgReportHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgReport[] objectShortArray)

      Sets the objectShortArray value for this CfgReportHolder.
      Parameters:
        `objectShortArray` -

    - #### getReportTaskInfoNSizeIs

          public int getReportTaskInfoNSizeIs()

      Gets the reportTaskInfoNSizeIs value for this CfgReportHolder.
      Returns:
        reportTaskInfoNSizeIs

    - #### setReportTaskInfoNSizeIs

          public void setReportTaskInfoNSizeIs(int reportTaskInfoNSizeIs)

      Sets the reportTaskInfoNSizeIs value for this CfgReportHolder.
      Parameters:
        `reportTaskInfoNSizeIs` -

    - #### getReportTaskInfo

          public CfgReportTaskShort[] getReportTaskInfo()

      Gets the reportTaskInfo value for this CfgReportHolder.
      Returns:
        reportTaskInfo

    - #### setReportTaskInfo

          public void setReportTaskInfo(CfgReportTaskShort[] reportTaskInfo)

      Sets the reportTaskInfo value for this CfgReportHolder.
      Parameters:
        `reportTaskInfo` -

    - #### getUserInfoNSizeIs

          public int getUserInfoNSizeIs()

      Gets the userInfoNSizeIs value for this CfgReportHolder.
      Returns:
        userInfoNSizeIs

    - #### setUserInfoNSizeIs

          public void setUserInfoNSizeIs(int userInfoNSizeIs)

      Sets the userInfoNSizeIs value for this CfgReportHolder.
      Parameters:
        `userInfoNSizeIs` -

    - #### getUserInfo

          public CfgUserShort[] getUserInfo()

      Gets the userInfo value for this CfgReportHolder.
      Returns:
        userInfo

    - #### setUserInfo

          public void setUserInfo(CfgUserShort[] userInfo)

      Sets the userInfo value for this CfgReportHolder.
      Parameters:
        `userInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgReportHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgReportHolder.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.